"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.clean = void 0;
const tslib_1 = require("tslib");
const clearGroupFour_1 = require("./clearGroupFour");
const clearGroupOne_1 = require("./clearGroupOne");
const clearGroupThree_1 = require("./clearGroupThree");
const clearGroupTwo_1 = require("./clearGroupTwo");
const languageCommentGroupAssignment_1 = require("../langs/languageCommentGroupAssignment");
const errors = tslib_1.__importStar(require("../errors"));
const clean = function (lang, content) {
    let clearedString = '';
    const group = languageCommentGroupAssignment_1.languageCommentGroupAssignment[lang];
    switch (group) {
        case 1:
            clearedString = (0, clearGroupOne_1.clearGroupOne)(content);
            break;
        case 2:
            clearedString = (0, clearGroupTwo_1.clearGroupTwo)(content);
            break;
        case 3:
            clearedString = (0, clearGroupThree_1.clearGroupThree)(content);
            break;
        case 4:
            clearedString = (0, clearGroupFour_1.clearGroupFour)(content);
            break;
        default: {
            throw new errors.LanguageNotSupported({
                data: { enteredLanguage: lang }
            });
        }
    }
    return clearedString;
};
exports.clean = clean;
